/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_AUTGRUPOP                                                */
/* Tabela : AUTGRUPOP                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 10/03/2004 - Raphael Freitas Pinheiro                                      */
/*                                                                            */
/******************************************************************************/


CREATE OR REPLACE TRIGGER DTULTATU_AUTGRUPOP
BEFORE INSERT OR UPDATE OR DELETE
ON AUTGRUPOP FOR EACH ROW


BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUAGOP := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDGRUPOPER ,0)  <> NVL(:NEW.CDGRUPOPER ,0)) OR
         (NVL(:OLD.IDAUTGRUPOP,0) <> NVL(:NEW.IDAUTGRUPOP,0)) OR
         (NVL(:OLD.NRAUTGRUPOP,0) <> NVL(:NEW.NRAUTGRUPOP,0)) THEN
         :NEW.DTULTATUAGOP := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('AUTGRUPOP', '', 'CDGRUPOPER='||:OLD.CDGRUPOPER||';IDAUTGRUPOP='||:OLD.IDAUTGRUPOP||';NRAUTGRUPOP='||:OLD.NRAUTGRUPOP||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE AUTGRUPOP MODIFY DTULTATUAGOP DEFAULT SYSDATE
/
